%define	major	13
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname %{name} -d

Name:		zziplib
Version:	0.13.72
Release:	%mkrel 1
Summary:	ZZipLib - libZ-based ZIP-access Library
License:	LGPLv2+ or MPLv1.1
Group:		System/Libraries
URL:		https://github.com/gdraheim/zziplib
Source0:	https://github.com/gdraheim/zziplib/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	lib64SDL-devel
BuildRequires:	zlib1-devel
BuildRequires:	python3
BuildRequires:	zip
BuildRequires:	xmlto

%description
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package	utils
Summary:	Utilities for the zziplib library
Group:		Archiving/Compression

%description utils
The zziplib library is intentionally lightweight, it offers the ability to
easily extract data from files archived in a single zip file. Applications
can bundle files into a single zip archive and access them. The implementation
is based only on the (free) subset of compression with the zlib algorithm
which is actually used by the zip/unzip tools.

This packages contains all the utilities that come with the zziplib library.

%package -n     %{libname}
Summary:	ZZipLib - libZ-based ZIP-access Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package -n     %{devname}
Summary:	ZZipLib - Development Files
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-utils = %{version}-%{release}

%description -n	%{devname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
these are the header files needed to develop programs using zziplib.
there are test binaries to hint usage of the library in user programs.

%prep
%setup -q
%apply_patches

# perl path fix
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%cmake -DBUILD_TESTS:BOOL=OFF
%cmake_build


%install
rm -rf %buildroot
%cmake_install

%files utils
%{_bindir}/unzzip*
%{_bindir}/zz*
%{_bindir}/unzip-mem
%{_mandir}

%files -n %{libname}
%{_libdir}/libzzipfseeko.so.%{major}*
%{_libdir}/libzzipmmapped.so.%{major}*
%{_libdir}/libzzip.so.%{major}*
%{_libdir}/libzzipwrap.so.%{major}*

%files -n %{devname}
%{_libdir}/libzzipfseeko.so
%{_libdir}/libzzipmmapped.so
%{_libdir}/libzzip.so
%{_libdir}/libzzipwrap.so
%{_includedir}/*.h
%dir %{_includedir}/zzip
%{_includedir}/zzip/*.h
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_includedir}/SDL_rwops_zzip/SDL_rwops_zzip.c
%{_includedir}/SDL_rwops_zzip/SDL_rwops_zzip.h


%changelog
* Fri Jul 02 2021 tex - 0.13.72-1pclos2021
- new version

* Sun May 30 2021 tex - 0.13.71-1pclos2021
- new version
